Bug 561462 - Review Request: jaffl - Java Abstracted Foreign Function Layer
Summary: Review Request: jaffl - Java Abstracted Foreign Function Layer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 561448 561456
Blocks: 561477 561484 646637
TreeView+ depends on / blocked
 
Reported: 2010-02-03 17:32 UTC by Mo Morsi
Modified: 2018-04-11 09:59 UTC (History)
7 users (show)

Fixed In Version: jaffl-0.5.4-4.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:40:33 UTC
akurtako: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
improved version of the src.rpm (551.35 KB, application/x-rpm)
2010-09-16 12:40 UTC, Matěj Cepl
no flags Details

Description Mo Morsi 2010-02-03 17:32:52 UTC
Spec URL: http://mo.morsi.org/files/jruby/jaffl.spec
SRPM URL: http://mo.morsi.org/files/jruby/jaffl-0.3.4-1.fc12.src.rpm
Description: 
Java Abstracted Foreign Function Layer 

Required by JRuby.

No koji build yet as jaffl depends on jffi and jnr-x86asm which are pending Fedora approval themselves.

$ rpmlint rpmbuild/RPMS/noarch/jaffl-0.3.4-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/RPMS/noarch/jaffl-javadoc-0.3.4-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SRPMS/jaffl-0.3.4-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Alexander Kurtakov 2010-08-13 05:32:53 UTC
I would like to review this one but it would be good to be updated to latest verstion http://github.com/wmeissner/jaffl/tarball/0.5.4 before that.

Comment 2 Alexander Kurtakov 2010-08-31 06:15:58 UTC
mmorsi, ping?

Comment 3 Mo Morsi 2010-09-09 20:19:10 UTC
Sorry for the long delay. 

Updated jaffl to 0.5.4 and cleaned up the spec file a bit:

Spec URL: http://mo.morsi.org/files/jruby/jaffl.spec
SRPM URL: http://mo.morsi.org/files/jruby/jaffl-0.5.4-1.fc13.src.rpm

Comment 4 Alexander Kurtakov 2010-09-10 06:28:21 UTC
I'll take this one.

Comment 5 Alexander Kurtakov 2010-09-10 09:43:32 UTC
1. Does it really have to be arch dependent package? I don't see any native code. I assume this should be noarch package, this will also fix the empty debuginfo subpackage, no library and other rpmlint warnings.
2. You are missing BRs: ant-nodeps

I'll do official review after I'm sure that the package is noarch, please confirm.

Comment 6 Matěj Cepl 2010-09-16 12:40:55 UTC
Created attachment 447729 [details]
improved version of the src.rpm

I am not saying it is perfect, but at least it is a bit better
---------------------------
jakoubek:build$ rpmlint  -i SRPMS/jaffl-0.5.4-2.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
jakoubek:build$ rpmlint  -i RPMS/noarch/jaffl-*
jaffl-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese
The value of this tag appears to be misspelled. Please double-check.

jaffl.noarch: W: class-path-in-manifest /usr/share/java/jaffl-0.5.4.jar
The META-INF/MANIFEST.MF file in the jar contains a hardcoded Class-Path.
These entries do not work with older Java versions and even if they do work,
they are inflexible and usually cause nasty surprises.

2 packages and 0 specfiles checked; 0 errors, 2 warnings.
jakoubek:build$

Comment 7 Mo Morsi 2010-10-26 16:27:20 UTC
OK sorry for the delay on this one. Thanks for your update Matej. Here is another ontop of yours which gets rid of the 'class-path-in-manifest' rpmlint warning and adds the ant-nodeps BR dependency

Spec URL: http://mo.morsi.org/files/jruby/jaffl.spec
SRPM URL: http://mo.morsi.org/files/jruby/jaffl-0.5.4-3.fc13.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2554664

Comment 8 Alexander Kurtakov 2010-10-28 08:43:05 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
jaffl-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Javanese
jaffl.spec: W: no-buildroot-tag
Not a problem.
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[-]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.
The Licese file is saying MIT but some of the files are LGPL it would be nice to get this cleared and/or fixing the License tag. pom.xml file is saying that the license is LGPL 3 which is in clear conflict with the shipped License file. Plese contact upstream to clarify. It would be nice if license headers are added to every file.
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[!]  Javadocs are placed in %{_javadocdir}/%{name}-%{version} with %{_javadocdir}/%{name} symlink
[x]  Jar files are installed to %{_javadir}/%{name}-%{version}.jar with %{_javadir}/%{name}.jar (unversioned) symlink
[!]  If package contains pom.xml files install it (including depmaps) even when building with ant 
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.

=== Issues ===
1. Clarify License situation.
2. Install javadocs into versioned directory and symlink.
3. Install pom.xml and depmap

Comment 9 Mo Morsi 2010-10-29 20:17:12 UTC
Thanks for the feedback and help. All three issues have been taken care of. Here is the updated spec and srpm.

Spec URL: http://mo.morsi.org/files/jruby/jaffl.spec
SRPM URL: http://mo.morsi.org/files/jruby/jaffl-0.5.4-4.fc13.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2564376

Comment 10 Alexander Kurtakov 2010-11-01 06:00:37 UTC
You haven't uploaded new spec file but the one in the src.rpm is good.

APPROVED.

Comment 11 Mo Morsi 2010-11-01 14:05:20 UTC
My mistake, here is the final version:

http://mo.morsi.org/files/jruby/jaffl.spec

Thanks for the approval.

New Package SCM Request
=======================
Package Name: jaffl
Short Description: Java Abstracted Foreign Function Layer
Owners: mmorsi
Branches: f13 f14

Comment 12 Kevin Fenzi 2010-11-03 03:56:13 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2010-11-09 15:39:38 UTC
jaffl-0.5.4-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/jaffl-0.5.4-4.fc13

Comment 14 Fedora Update System 2010-11-09 15:40:32 UTC
jaffl-0.5.4-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/jaffl-0.5.4-4.fc14

Comment 15 Fedora Update System 2010-11-10 01:07:24 UTC
jaffl-0.5.4-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jaffl'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/jaffl-0.5.4-4.fc13

Comment 16 Fedora Update System 2010-11-10 21:40:27 UTC
jaffl-0.5.4-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-11-17 23:15:58 UTC
jaffl-0.5.4-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.